org.jbpm.workflow.instance.node

## Class StateBasedNodeInstance

- java.lang.Object
- - org.jbpm.workflow.instance.impl.NodeInstanceImpl
  - - org.jbpm.workflow.instance.impl.ExtendedNodeInstanceImpl
    - - org.jbpm.workflow.instance.node.StateBasedNodeInstance

- All Implemented Interfaces:
    Serializable, EventBasedNodeInstanceInterface, org.kie.api.runtime.process.EventListener, org.kie.api.runtime.process.NodeInstance
  Direct Known Subclasses:
    CompositeNodeInstance, MilestoneNodeInstance, RuleSetNodeInstance, SubProcessNodeInstance, TimerNodeInstance, WorkItemNodeInstance

      public abstract class StateBasedNodeInstance
      extends ExtendedNodeInstanceImpl
      implements EventBasedNodeInstanceInterface, org.kie.api.runtime.process.EventListener

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl

      `NodeInstanceImpl.NodeInstanceTrigger`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static Pattern` | `PARAMETER_MATCHER`

    - ### Fields inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl

      `dynamicParameters`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StateBasedNodeInstance()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addEventListeners()`
    `protected void` | `addTimerListener()`
    `void` | `cancel()`
    `protected boolean` | `checkProcessInstance(org.drools.core.spi.Activation activation)`
    `protected void` | `configureTimerInstance(Timer timer, TimerInstance timerInstance)`
    `protected TimerInstance` | `createTimerInstance(Timer timer)`
    `protected String` | `getActivationType()`
    `StateBasedNode` | `getEventBasedNode()`
    `String[]` | `getEventTypes()`
    `List<Long>` | `getTimerInstances()`
    `void` | `internalSetTimerInstances(List<Long> timerInstances)`
    `void` | `internalTrigger(org.kie.api.runtime.process.NodeInstance from, String type)`
    `void` | `removeEventListeners()`
    `protected String` | `resolveVariable(String s)`
    `void` | `signalEvent(String type, Object event)`
    `void` | `triggerCompleted()`
    `protected void` | `triggerCompleted(String type, boolean remove)`

    - ### Methods inherited from class org.jbpm.workflow.instance.impl.ExtendedNodeInstanceImpl

      `getExtendedNode, triggerCompleted, triggerEvent`

    - ### Methods inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl

      `executeAction, followConnection, getExecutionErrorHandler, getId, getLevel, getMetaData, getMetaData, getNode, getNodeId, getNodeInstanceContainer, getNodeName, getProcessInstance, getUniqueId, getVariable, isInversionOfControl, resolveContext, resolveContextInstance, retrigger, setDynamicParameters, setId, setLevel, setMetaData, setNodeId, setNodeInstanceContainer, setProcessInstance, setVariable, trigger, triggerConnection, triggerNode, triggerNodeInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PARAMETER_MATCHER

          protected static final Pattern PARAMETER_MATCHER

  - ### Constructor Detail

    - #### StateBasedNodeInstance

          public StateBasedNodeInstance()

  - ### Method Detail

    - #### getEventBasedNode

          public StateBasedNode getEventBasedNode()

    - #### internalTrigger

          public void internalTrigger(org.kie.api.runtime.process.NodeInstance from,
                                      String type)

      Overrides:
        `internalTrigger` in class `ExtendedNodeInstanceImpl`

    - #### createTimerInstance

          protected TimerInstance createTimerInstance(Timer timer)

    - #### configureTimerInstance

          protected void configureTimerInstance(Timer timer,
                                                TimerInstance timerInstance)

    - #### resolveVariable

          protected String resolveVariable(String s)

    - #### signalEvent

          public void signalEvent(String type,
                                  Object event)

      Specified by:
        `signalEvent` in interface `org.kie.api.runtime.process.EventListener`

    - #### getEventTypes

          public String[] getEventTypes()

      Specified by:
        `getEventTypes` in interface `org.kie.api.runtime.process.EventListener`

    - #### triggerCompleted

          public void triggerCompleted()

    - #### addEventListeners

          public void addEventListeners()

      Specified by:
        `addEventListeners` in interface `EventBasedNodeInstanceInterface`

    - #### addTimerListener

          protected void addTimerListener()

    - #### removeEventListeners

          public void removeEventListeners()

      Specified by:
        `removeEventListeners` in interface `EventBasedNodeInstanceInterface`

    - #### triggerCompleted

          protected void triggerCompleted(String type,
                                          boolean remove)

      Overrides:
        `triggerCompleted` in class `ExtendedNodeInstanceImpl`

    - #### getTimerInstances

          public List<Long> getTimerInstances()

    - #### internalSetTimerInstances

          public void internalSetTimerInstances(List<Long> timerInstances)

    - #### cancel

          public void cancel()

      Overrides:
        `cancel` in class `NodeInstanceImpl`

    - #### getActivationType

          protected String getActivationType()

    - #### checkProcessInstance

          protected boolean checkProcessInstance(org.drools.core.spi.Activation activation)

Copyright © 2001–2017 JBoss by Red Hat. All rights reserved.